package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

@Path("/customers")
public class MyResource {

    @GET
    public String getAllCustomers() {
        System.out.println("in getAllCustomers()");
        return "dummy-response for all customers";
    }

    @Logged
    @GET
    @Path("{id}")
    public String getCustomerById(@PathParam("id") String id) {
        System.out.println("in getCustomerById()");
        return "dummy-response for customer " + id;
    }
}